
	function apply_setting_with_param(change_power,change_negate_check,change_rotate_check,change_wl,change_ww){

//($toward,$num,$target_dicom,$changeed_wl, $changeed_ww,$negate_check,$rotate_check,$power) 
	
	if(change_wl == "no"){change_wl = wl;
	}else{wl = change_wl }
	if(change_ww == "no"){change_ww = ww;
	}else{ww = change_ww }
	if(change_negate_check != 0){
	negate_check = change_negate_check;
	document.getElementById('information').style.color = "black";
	document.getElementById('image_number').style.color = "black";
	document.getElementById('wl_ww_value').style.color = "black";
	document.getElementById('load_status').style.color = "black";
	document.getElementById('local_load_status').style.color = "black";
	document.getElementById('now_load_status').style.color = "black";
	document.getElementById('distance').style.color = "black";
	document.getElementById('huv').style.color = "black";
	document.getElementById('create_check_low').style.color = "black";
	document.getElementById('create_check_high').style.color = "black";
	document.getElementById('create_check_AJAX').style.color = "black";
	}else{
	negate_check = change_negate_check;
	document.getElementById('information').style.color = "white";
	document.getElementById('image_number').style.color = "white";
	document.getElementById('wl_ww_value').style.color = "white";
	document.getElementById('load_status').style.color = "white";
	document.getElementById('local_load_status').style.color = "white";
	document.getElementById('now_load_status').style.color = "white";
	document.getElementById('distance').style.color = "white";
	document.getElementById('huv').style.color = "white";
	document.getElementById('create_check_low').style.color = "white";
	document.getElementById('create_check_high').style.color = "white";
	document.getElementById('create_check_AJAX').style.color = "white";
	
	}

	if(change_power != power){power = change_power}
	if(change_rotate_check != rotate_check){rotate_check = change_rotate_check}
	
	
	var lower_tag = num;
	var higher_tag = num;
	var toward_flag = false;
	var count_num = 0;
	var send_dicom = "";
	var test_flag = true;
			while (count_num < image_num_end) {
			if(toward_flag == false && lower_tag != -1){
			//send_dicom = send_dicom + "" +  lower_tag + ":";
			target_num = lower_tag;
			send_dicom = dicomset[target_num];
			do_convert_for_apply("low",target_num,send_dicom,change_wl,change_ww,negate_check,rotate_check,change_power);
			lower_tag-- ;
			count_num++ ;
			toward_flag = true;
			}else{
			if(higher_tag != (image_num_end - 1)){
			higher_tag++;
			count_num++;
			//send_dicom = send_dicom + "" +  higher_tag + ":";
			target_num = higher_tag;
			send_dicom = dicomset[target_num];
			do_convert_for_apply("high",target_num,send_dicom,change_wl,change_ww,negate_check,rotate_check,change_power);
			}
			toward_flag = false;
			}
		}
		//alert(send_dicom);
		document.getElementById('create_check_AJAX').innerHTML = "apply setting"   ;
		setTimeout("document.getElementById('create_check_AJAX').innerHTML = '';", 3000); 
	}
